You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2017-02-18 14:12:20

NBO.LOG
Guest
Registered: 2016-09-05
Posts: 9

[GLPI 0.90.5> 9.1] ERREUR GLPI_FORCE_EMPTY_SQL_MODE-Error SQL Statemen

Bonjour les Glpiens !

Je n'ai pas trouvé trace de ce problème, et j'apporte une solution, si ça peut servir à d'autres :

Environnement :
GLPI 0.90.5
PHP 5.6.30
MySQL : 5.5.54
Debian 8.7

Lors de la mise à jour, en suivant cette procédure, http://www.cegeek.fr/2015/02/tuto-glpi- … jour-glpi/

J'ai deux erreurs :
- 1 bandeau rouge en haut de la page avec la notification suivante :
PHP Notice: Use of undefined constant GLPI_FORCE_EMPTY_SQL_MODE - assumed 'GLPI_FORCE_EMPTY_SQL_MODE'  in /usr/share/glpi/inc/dbmysql.class.php at line 130
- Lors du lancement de la mise à niveau de la base de données, la procédure plante avec des warning php et une erreur sur la requête SQL : update super-admin profile with unlock right - Erreur.... vous avez une erreur dans la syntaxe de votre requêtes

En cherchant un peu, il semble que la constante ait été ajoutée pour la compatibilité avec Myqsl 5.7
Source d'information : https://fossies.org/diffs/glpi/0.90.5_v … -diff.html

Solution :
Commenter la ligne suivante dans le fichier glpi/config/define.php
define("GLPI_FORCE_EMPTY_SQL_MODE","1");"

Last edited by NBO.LOG (2017-02-18 14:12:38)

Offline

#2 2017-02-18 14:21:00

NBO.LOG
Guest
Registered: 2016-09-05
Posts: 9

Re: [GLPI 0.90.5> 9.1] ERREUR GLPI_FORCE_EMPTY_SQL_MODE-Error SQL Statemen

Je viens de voir ici que la version 9 est validée sur PHP 7 et Mysql 5.7...
Source :
https://github.com/glpi-project/glpi/issues/1150

Ceci explique cela...

Offline

#3 2017-02-18 16:58:31

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 13,789

Re: [GLPI 0.90.5> 9.1] ERREUR GLPI_FORCE_EMPTY_SQL_MODE-Error SQL Statemen

Validée sur PHP7 oui, sur Mysql5.7 non


CentOS 6.5 - CentOS 7
PHP 5.6 - PHP 7 - MySQL 5.6  + APC + oOPcache
GLPI from 0.72 to dev version
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

Board footer

Powered by FluxBB